# Class ReadOnlyFileSystemException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.UnsupportedOperationException
java.nio.file.ReadOnlyFileSystemException

All Implemented Interfaces:
  `Serializable`

public class ReadOnlyFileSystemException extends UnsupportedOperationException
Unchecked exception thrown when an attempt is made to update an object associated with a `read-only` `FileSystem`.

Since:
  1.7
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadOnlyFileSystemException()`
  Constructs an instance of this class.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReadOnlyFileSystemException

    public ReadOnlyFileSystemException()
    Constructs an instance of this class.